VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src/Build
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2019-10-05 17:19:39 (GMT)
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2019-10-05 17:21:33 (GMT)
commitaf9e0f04828980ac826057ba41b5b2b4b03cc79f (patch)
tree6e81ab984971775e5f656e3e66693604c840225a /src/Build
parent4fe4cbc56842f475ab9229144632ca8ea59cfb20 (diff)
downloadVeraCrypt-af9e0f04828980ac826057ba41b5b2b4b03cc79f.zip
VeraCrypt-af9e0f04828980ac826057ba41b5b2b4b03cc79f.tar.gz
Linux: modifications to cmake files to use GTK3 on CentOS and change packages names
Diffstat (limited to 'src/Build')
-rw-r--r--src/Build/CMakeLists.txt16
-rwxr-xr-x[-rw-r--r--]src/Build/build_cmake_deb.sh0
-rwxr-xr-x[-rw-r--r--]src/Build/build_cmake_rpm.sh6
3 files changed, 11 insertions, 11 deletions
diff --git a/src/Build/CMakeLists.txt b/src/Build/CMakeLists.txt
index c77a7b9..e59cf7a 100644
--- a/src/Build/CMakeLists.txt
+++ b/src/Build/CMakeLists.txt
@@ -12,11 +12,11 @@ endif()
# - Set PROJECT_NAME and CONFLICT_PACKAGE values
if (NOGUI)
- set( PROJECT_NAME "VeraCrypt-Console" )
- set( CONFLICT_PACKAGE "VeraCrypt" )
+ set( PROJECT_NAME "veracrypt-console" )
+ set( CONFLICT_PACKAGE "veracrypt" )
else()
- set( PROJECT_NAME "VeraCrypt" )
- set( CONFLICT_PACKAGE "VeraCrypt-Console" )
+ set( PROJECT_NAME "veracrypt" )
+ set( CONFLICT_PACKAGE "veracrypt-console" )
endif()
project(${PROJECT_NAME})
@@ -230,9 +230,9 @@ list(GET FULL_VERSION_LIST 0 VERSION)
list(GET FULL_VERSION_LIST 1 RELEASE)
string(REPLACE "-" "." RELEASE ${RELEASE})
-set( VENDOR "Idrix" )
+set( VENDOR "IDRIX" )
set( LICENSE "VeraCrypt License" )
-set( CONTACT "VeraCrypt <mounir@idrix.fr>" )
+set( CONTACT "VeraCrypt Team <veracrypt@idrix.fr>" )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Disk encryption with strong security based on TrueCrypt." )
set( CPACK_PACKAGE_DESCRIPTION "This package contains binaries for VeraCrypt, a disk encryption with strong security based on TrueCrypt." )
set( CPACK_PACKAGE_NAME ${PROJECT_NAME} )
@@ -293,7 +293,7 @@ elseif ( ( PLATFORM STREQUAL "CentOS" ) OR ( PLATFORM STREQUAL "openSUSE" ) )
set( CPACK_RPM_PACKAGE_AUTOREQ "no" ) # disable automatic shared libraries dependency detection (most of the time buggy)
if ( PLATFORM STREQUAL "CentOS" )
- set( CPACK_RPM_PACKAGE_REQUIRES "fuse, device-mapper, gtk2")
+ set( CPACK_RPM_PACKAGE_REQUIRES "fuse, device-mapper, gtk3")
elseif ( PLATFORM STREQUAL "openSUSE" )
# TODO
endif()
@@ -314,4 +314,4 @@ elseif ( ( PLATFORM STREQUAL "CentOS" ) OR ( PLATFORM STREQUAL "openSUSE" ) )
endif()
-include(CPack) \ No newline at end of file
+include(CPack)
diff --git a/src/Build/build_cmake_deb.sh b/src/Build/build_cmake_deb.sh
index c809894..c809894 100644..100755
--- a/src/Build/build_cmake_deb.sh
+++ b/src/Build/build_cmake_deb.sh
diff --git a/src/Build/build_cmake_rpm.sh b/src/Build/build_cmake_rpm.sh
index ae9f0bf..218d63c 100644..100755
--- a/src/Build/build_cmake_rpm.sh
+++ b/src/Build/build_cmake_rpm.sh
@@ -23,7 +23,7 @@ echo "Building GUI version of VeraCrypt for RPM using wxWidgets static libraries
# This will be the temporary wxWidgets directory
export WX_BUILD_DIR=$PARENTDIR/wxBuildGui
-make WXSTATIC=1 wxbuild || exit 1
+make WXSTATIC=1 WITHGTK3=1 wxbuild || exit 1
make WXSTATIC=1 clean || exit 1
make WXSTATIC=1 || exit 1
make WXSTATIC=1 install DESTDIR="$PARENTDIR/VeraCrypt_Setup/GUI" || exit 1
@@ -42,7 +42,7 @@ echo "Building console version of VeraCrypt for RPM using wxWidgets static libra
# This will be the temporary wxWidgets directory
export WX_BUILD_DIR=$PARENTDIR/wxBuildConsole
-make WXSTATIC=1 NOGUI=1 wxbuild || exit 1
+make WXSTATIC=1 WITHGTK3=1 NOGUI=1 wxbuild || exit 1
make WXSTATIC=1 NOGUI=1 clean || exit 1
make WXSTATIC=1 NOGUI=1 || exit 1
make WXSTATIC=1 NOGUI=1 install DESTDIR="$PARENTDIR/VeraCrypt_Setup/Console" || exit 1
@@ -62,4 +62,4 @@ cmake -H$SCRIPTPATH -B$PARENTDIR/VeraCrypt_Packaging -DVERACRYPT_BUILD_DIR="$PAR
cpack --config $PARENTDIR/VeraCrypt_Packaging/CPackConfig.cmake || exit 1
cmake -H$SCRIPTPATH -B$PARENTDIR/VeraCrypt_Packaging -DVERACRYPT_BUILD_DIR="$PARENTDIR/VeraCrypt_Setup/Console" -DNOGUI=TRUE || exit 1
-cpack --config $PARENTDIR/VeraCrypt_Packaging/CPackConfig.cmake|| exit 1 \ No newline at end of file
+cpack --config $PARENTDIR/VeraCrypt_Packaging/CPackConfig.cmake|| exit 1